package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.report;

import cn.estsh.i3plus.ext.mes.api.busi.report.IMesYfReportService;
import cn.estsh.i3plus.ext.mes.apiservice.dao.report.IMesYfReportDao;
import cn.estsh.i3plus.ext.mes.pojo.model.report.MesDeviceDataQueryReportConditionModel;
import cn.estsh.i3plus.ext.mes.pojo.model.report.MesDeviceDataQueryReportResultModel;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.base.common.PagerHelper;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.base.util.StringUtil;
import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import cn.estsh.i3plus.pojo.mes.repository.MesProduceSnRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 报表-业务方法实现
 * @Reference :
 * @Author : logic
 * @CreateDate : 2024/6/15 11:31
 * @Modify:
 **/
@Service
public class MesYfReportServiceImpl implements IMesYfReportService {

    @Autowired
    private IMesYfReportDao mesYfReportDao;
    @Autowired
    private MesProduceSnRepository mesProduceSnRDao;

    @Override
    public ListPager<MesDeviceDataQueryReportResultModel> queryMesDeviceDataByPager(MesDeviceDataQueryReportConditionModel queryReportModel, Pager pager) {
        return mesYfReportDao.queryMesDeviceDataByPager(queryReportModel, pager);
    }

    @Override
    public ListPager<MesProduceSn> queryMesSuspiciousSnMsgByPager(MesProduceSn bean, Pager pager) {
        DdlPackBean packBean = DdlPackBean.getDdlPackBean(bean.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(bean.getPartNo(), "partNo", packBean);
        DdlPreparedPack.getStringLikerPack(bean.getPartName(), "partName", packBean);
        DdlPreparedPack.getNumEqualPack(bean.getQcStatus(), "qcStatus", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getWorkCenterCode(), "workCenterCode", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getProductSn(), "productSn", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getLotNo(), "lotNo", packBean);
        if(!StringUtil.isEmpty(bean.orderBy())){
            packBean.setOrderByStr(bean.orderBy());
        }else {
            DdlPreparedPack.getOrderByPack(new Object[]{CommonEnumUtil.ASC_OR_DESC.DESC.getValue()}, new String[]{"createDatetime"}, packBean);
        }
        pager = PagerHelper.getPager(pager, mesProduceSnRDao.findByHqlWhereCount(packBean));

        List<MesProduceSn> resultList = mesProduceSnRDao.findByHqlWherePage(packBean, pager);

        return new ListPager<>(resultList, pager);
    }
}
