package cn.estsh.i3plus.ext.mes.pojo.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 设备数据查询报表-查询结果封装
 * @Reference :
 * @Author : logic
 * @CreateDate : 2024/6/15 13:23
 * @Modify:
 **/
@Data
@ApiModel("设备数据查询报表-查询结果封装")
public class MesDeviceDataQueryReportResultModel {

    @ApiParam(value = "ERP工厂号（组织代码）")
    private String organizeCode;

    @ApiParam(value = "工作中心（产线）")
    private String workCenterCode;

    @ApiParam(value = "工作单元代码（工位）")
    private String workCellCode;

    @ApiParam(value = "生产工单号（工单）")
    private String workOrderNo;

    @ApiParam(value = "过程条码（主条码）")
    private String serialNumber;

    @ApiParam(value = "日志类型")
    private Integer logType;

    @ApiParam(value = "日志内容")
    private String message;

    @ApiParam(value = "错误类型")
    private String errorType;

    @ApiParam(value = "设备代码（设备编号）")
    private String equipmentCode;

    @ApiParam(value = "设备名称")
    private String equipmentName;

    @ApiParam(value = "创建时间")
    private String createDatetime;

    @ApiParam(value = "创建人")
    private String createUser;

    public MesDeviceDataQueryReportResultModel(String organizeCode, String workCenterCode, String workCellCode,
                                               String workOrderNo, String serialNumber, Integer logType, String message,
                                               String errorType, String equipmentCode, String equipmentName,
                                               String createDatetime, String createUser) {
        this.organizeCode = organizeCode;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.workOrderNo = workOrderNo;
        this.serialNumber = serialNumber;
        this.logType = logType;
        this.message = message;
        this.errorType = errorType;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.createDatetime = createDatetime;
        this.createUser = createUser;
    }
}
